from django.urls import path

from .views import (
    ClientListApiView,
    ClientDetailApiView,
    ShopperListApiView,
    ShopperDetailApiView,
    DeliveryAddressListApiView,
    DeliveryAddressDetailApiView,
    StoreListApiView,
    StoreDetailApiView,
    ProductListApiView,
    ProductDetailApiView,
    OrderListApiView,
    OrderDetailApiView,
    RouteListApiView,
    RouteDetailApiView,
    BackgroundCheckListApiView,
    BackgroundCheckDetailApiView,
    ClientPaymentListApiView,
    ClientPaymentDetailApiView,
    ShopperPaymentListApiView,
    ShopperPaymentDetailApiView,
)

urlpatterns = [
    # --- examples ---
    # path("", views.index, name="index"),
    # --- project ---
    path("clients/", ClientListApiView.as_view()),
    path("clients/<int:pk>/", ClientDetailApiView.as_view()),
    path("shoppers/", ShopperListApiView.as_view()),
    path("shoppers/<int:pk>/", ShopperDetailApiView.as_view()),
    path("delivery-addresses/", DeliveryAddressListApiView.as_view()),
    path("delivery-addresses/<int:pk>/", DeliveryAddressDetailApiView.as_view()),
    path("stores/", StoreListApiView.as_view()),
    path("stores/<int:pk>/", StoreDetailApiView.as_view()),
    path("products/", ProductListApiView.as_view()),
    path("products/<int:pk>/", ProductDetailApiView.as_view()),
    path("orders/", OrderListApiView.as_view()),
    path("orders/<int:pk>/", OrderDetailApiView.as_view()),
    path("routes/", RouteListApiView.as_view()),
    path("routes/<int:pk>/", RouteDetailApiView.as_view()),
    path("background-checks/", BackgroundCheckListApiView.as_view()),
    path("background-checks/<int:pk>/", BackgroundCheckDetailApiView.as_view()),
    path("client-payments/", ClientPaymentListApiView.as_view()),
    path("client-payments/<int:pk>/", ClientPaymentDetailApiView.as_view()),
    path("shopper-payments/", ShopperPaymentListApiView.as_view()),
    path("shopper-payments/<int:pk>/", ShopperPaymentDetailApiView.as_view()),
]
